Bug 1221920 - release notes are missing on Workstation image
Summary: release notes are missing on Workstation image
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Václav Pavlín
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-15 09:14 UTC by Kamil Páral
Modified: 2016-07-19 14:06 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 14:06:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1221730 None None None Never

Internal Links: 1221730

Description Kamil Páral 2015-05-15 09:14:32 UTC
Description of problem:
The release criterion says:
"The final branded release notes must be present on release-blocking images and the appropriately versioned generic release notes must be available in the release repository. "
https://fedoraproject.org/wiki/Fedora_22_Final_Release_Criteria#Release_notes

However, Workstation image does not contain fedora-release-notes package. That seems to be intentional, per these discussions:
https://lists.fedoraproject.org/pipermail/desktop/2014-August/thread.html#10399
https://lists.fedoraproject.org/pipermail/desktop/2014-September/thread.html#10455
http://meetbot.fedoraproject.org/fedora-meeting/2014-11-05/workstation.2014-11-05-16.00.log.html

However, those discussions seems to indicate that the plan to just remove the release notes menu item and instead add it as a link from getting-started docs or the main gnome-help page. But that doesn't seem to have happened, at least I don't see it there. So the end result is that release notes are not present on Workstation image.

We either need to amend the criterion and exempt Workstation image from it, or add the release notes in some form.

Version-Release number of selected component (if applicable):
F22 TC4 Workstation Live x86_64

Comment 1 Kamil Páral 2015-05-15 09:37:35 UTC
As an interesting piece of information, fedora release notes were not included even in Fedora 21 Workstation Live. So it's not a recent "regression".

Comment 2 Kalev Lember 2015-05-15 09:55:13 UTC
It was an intentional F21 change to not ship the release notes, and nothing has changed in that area between F21 and F22 as far as I know.

As for linking to the release notes from getting-started docs, I don't know if it's planned or not. But it's highly unlikely to materialize in time for F22, so my recommendation would be to update the criteria. Especially considering that we've already shipped F21 without release notes and it passed the release validation back then.

Comment 3 Adam Williamson 2015-05-15 15:17:15 UTC
It was probably an oversight. If not shipping them is intentional, we can exempt Workstation from the criterion (it's not really meant to be prescriptive), though I think it's a shame if Workstation doesn't provide any clear reference to the document. It'd be nice if it was the default Document in Documents, for instance...

Comment 4 Jaroslav Reznik 2015-05-18 12:11:29 UTC
-1 blocker, to be honest - I'd remove this criterion for all deliverables. Online documentation/release notes are more flexible but I agree having pointer to release notes is desirable.

Comment 5 Stephen Gallagher 2015-05-18 14:33:16 UTC
Yeah, -1 blocker for F22. We can decide on new criteria for F23.

If we're asking for ponies, I'd love to see an extension for Firefox that would cache the release notes and other documentation locally if the server is unavailable. This would be much more reliable than shipping the documentation in packages (and easier to keep updated).

Comment 6 Petr Schindler 2015-05-18 16:27:46 UTC
Discussed at today's blocker review meeting [1]. 

This bug was rejected as blocker: This was an intentional change and also the state of F21. Criteria to be amended before F23.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2015-05-18

Comment 7 Kamil Páral 2015-05-18 16:35:05 UTC
Here's a QA ticket to amend said criterion:
https://fedorahosted.org/fedora-qa/ticket/471

Comment 8 Fedora End Of Life 2016-07-19 14:06:28 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.